Skip to main content

File sharing

Tags: permissions, sharing

Access shared Files and folders, including folder contents and File downloads.

Resources​

Request and response models used by the endpoints on this page.

SharedFileResponse​

FieldTypeRequiredDescription
accessString✓
createdAtString✓
idInteger✓
mimeTypeString✓
nameString✓
shareableBoolean✓
sizeInteger✓
titleString✓

Example:

{
"id": 0,
"name": "string",
"title": "string",
"size": 0,
"mimeType": "string",
"access": "string",
"shareable": false,
"createdAt": "string"
}

SharedFolderFilesResponse​

FieldTypeRequiredDescription
filesArray<SharedFileResponse>✓
paginationSharedFolderPagination✓

Example:

{
"files": [],
"pagination": null
}

SharedFolderPagination​

FieldTypeRequiredDescription
pageInteger✓
pageSizeInteger✓
totalInteger✓

Example:

{
"page": 0,
"pageSize": 0,
"total": 0
}

SharedFolderResponse​

FieldTypeRequiredDescription
accessString✓
filesArray<SharedFileResponse>✓
idInteger✓
nameString✓
paginationSharedFolderPagination✓
shareableBoolean✓

Example:

{
"id": 0,
"name": "string",
"access": "string",
"shareable": false,
"files": [],
"pagination": null
}

Endpoints​

Files​

GET /api/v2/w/{workspace_uuid}/sharing/files/{file_id}

Description:

Get public file metadata.

Returns file information if the file is public or the user has access. Supports unauthenticated access for public files.

Authentication: Requires workspace session

Parameters:

  • file_id (Integer)

Response: See SharedFileResponse


Contents​

GET /api/v2/w/{workspace_uuid}/sharing/files/{file_id}/contents/{filename}

Description:

Serve file contents for shareable files.

Returns the raw file data if the file is shareable and the user has access. Supports unauthenticated access for public shareable files.

Authentication: Requires workspace session

Parameters:

  • file_id (Integer)
  • filename (String)

Response: Response


Folders​

GET /api/v2/w/{workspace_uuid}/sharing/folders/{folder_id}

Description:

Get public folder metadata and file listing.

Returns folder information and list of files if the folder is public or user has access. Supports unauthenticated access for public folders.

Authentication: Requires workspace session

Parameters:

  • folder_id (Integer)
  • page (Integer) — min: 1
  • pageSize (Integer) — min: 1, max: 1000

Response: See SharedFolderResponse


Files​

GET /api/v2/w/{workspace_uuid}/sharing/folders/{folder_id}/files

Description:

Get list of files in a public folder.

Alias for GET /sharing/folders/{folder_id} that returns just the file listing.

Authentication: Requires workspace session

Parameters:

  • folder_id (Integer)
  • page (Integer) — min: 1
  • pageSize (Integer) — min: 1, max: 1000

Response: See SharedFolderFilesResponse